{% extends "base.html" %}
{% block title %} - {% trans "Спектр" %}{% endblock %}

{% block css %}
<link rel="stylesheet"
  href="{% static 'lib/bootstrap-select/dist/css/bootstrap-select.min.css' %}">
<link rel="stylesheet"
  type="text/scss"
  href="{% static 'css/pages/spectrum.scss' %}">
{% endblock css %}

{% block body-class %}class="spectrum"{% endblock %}

{% block content %}
<section class="container block-h1">
  <h1>{% trans "Спектр" %}</h1>
</section>
<section class="spectrum-block container">
  <div id="spectrum-filters"
    class="row">
    <div id="transmitter-status-dropdown"
      class="col dropdown">
      <select id="transmitter-status-filter"
        class="form-control selectpicker"
        data-style="btn btn-sm btn-orange"
        autocomplete="off"
        data-none-selected-text="{% trans 'Передатчики' %}: {% trans 'Все' %}"
        multiple>
        <optgroup label="{% trans 'Передатчики' %}">
          <option data-val="active"
            class="dropdown-item transmitter-status-filter-option"
            selected>{% trans 'Активные' %}</option>
          <option data-val="unknown"
            class="dropdown-item transmitter-status-filter-option">{% trans 'Неизвестные' %}</option>
          <option data-val="inactive"
            class="dropdown-item transmitter-status-filter-option">{% trans 'Неактивные' %}</option>
        </optgroup>
      </select>
    </div>
    <div id="satellite-status-dropdown"
      class="col dropdown">
      <select id="satellite-status-filter"
        class="form-control selectpicker"
        data-style="btn btn-sm btn-blue"
        autocomplete="off"
        data-none-selected-text="{% trans 'Спутники' %}: {% trans 'Все' %}"
        multiple>
        <optgroup label="{% trans 'Спутники' %}">
          <option data-val="alive"
            class="dropdown-item satellite-status-filter-option"
            selected>{% trans "Активные" %}</option>
          <option data-val="unknown"
            class="dropdown-item satellite-status-filter-option">{% trans "Неизвестные" %}</option>
          <option data-val="re-entered"
            class="dropdown-item satellite-status-filter-option">{% trans "Сошедшие" %}</option>
        </optgroup>
      </select>
    </div>
  </div>
  <div id="transmitters-chart-container">
    <div id="spectrum-spinner"
      class="loading-spinner">
      <div class="spinner">
        <div class="bounce1"></div>
        <div class="bounce2"></div>
        <div class="bounce3"></div>
      </div>
    </div>
  </div>
</section>
{% endblock content %}

{% block javascript %}
<script src="{% static 'lib/bootstrap-select/dist/js/bootstrap-select.min.js' %}"></script>
<script src="{% static 'lib/d3/dist/d3.min.js' %}"></script>
<script src="{% static 'js/spectrum.js' %}"></script>
{% endblock %}